# ApplicationFramework
PTKernel
PColStd

# PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString Class Reference

`#include <PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString ()
| PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString (const Handle(PCollection_HExtendedString)&aValue)
void | SetValue (const Handle(PCollection_HExtendedString)&aValue)
Standard_Address | Value () const

## Private Attributes

Handle_PCollection_HExtendedString | myValue

## Constructor & Destructor Documentation

PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString::PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString | ( |  | ) |

PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString::PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString | ( | const Handle(PCollection_HExtendedString)& | aValue | ) |

## Member Function Documentation

void PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString::operator new | ( | size_t | size | ) | `[inline]`

void* PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString::SetValue | ( | const Handle(PCollection_HExtendedString)& | aValue | ) |

Standard_Address PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString::Value | ( |  | ) | const

## Field Documentation

Handle_PCollection_HExtendedString PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString::myValue `[private]`

The documentation for this class was generated from the following file:

- PColStd_VArrayTNodeOfFieldOfHArray1OfExtendedString.hxx